package com.sys.bus.sys.wx;

import cn.hutool.core.util.StrUtil;

public enum WxMsgType {

    /**
     * 个人目标填报
     */
    GRMB("个人目标填报"),
    /**
     * 上级审核目标
     */
    SJSH("上级审核目标"),
    /**
     * 上级审核目标(个人修改目标)
     */
    SJSHGRXG("上级审核目标(个人修改目标)"),
    /**
     * 个人自评
     */
    GRZP("个人自评"),
    /**
     * 领导评分
     */
    LDPF("领导评分"),
    /**
     * 个人目标填报打回
     */
    GRMBDH("个人目标填报打回"),
    /**
     * 个人自评填报打回
     */
    GRZPDH("个人自评填报打回"),
    /**
     * 绩效面谈提醒
     */
    JXMT("绩效面谈提醒"),
    /**
     * 个人结果查看及确认提醒
     */
    GRJG("个人结果查看及确认提醒"),
    /**
     * 个人结果确认(申诉后调整完再次确认)
     */
    GRJGSS("个人结果确认(申诉后调整完再次确认)"),
    /**
     * 个人申诉后提醒专员
     */
    GRSS("个人申诉后提醒专员"),
    ;

    WxMsgType(String value) {
        this.value = value;
    }

    /**
     * 值
     */
    private String value;


    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 通过value取枚举
     *
     * @param value
     * @return
     */
    public static WxMsgType getByValue(String value) {
        if (StrUtil.isBlank(value)) {
            return null;
        }
        for (WxMsgType enums : WxMsgType.values()) {
            if (enums.getValue().equals(value)) {
                return enums;
            }
        }
        return null;
    }




}
